package net.minecraft.world;

import javax.annotation.Nullable;
import net.minecraft.world.item.ItemStack;
import net.minecraft.core.Direction;

public interface WorldlyContainer extends Container {
    int[] getSlotsForFace(final Direction fz);
    
    boolean canPlaceItemThroughFace(final int integer, final ItemStack bki, @Nullable final Direction fz);
    
    boolean canTakeItemThroughFace(final int integer, final ItemStack bki, final Direction fz);
}
